Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 450148 - Review Request: jedit - short java editor
Summary: Review Request: jedit - short java editor
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-06-05 15:43 UTC by Luca Foppiano
Modified: 2008-07-04 16:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-04 14:42:33 UTC


Attachments (Terms of Use)

Description Luca Foppiano 2008-06-05 15:43:31 UTC
Spec URL: http://lfoppiano.fedorapeople.org/jedit.spec
SRPM URL: http://projects.byte-code.com/pub/bytecode/fedora9/SRPMS/jedit-4.3pre14-1.fc9.src.rpm
Description: 

Hi all, this is the proposal for mantain jedit. Jedit is a simple java editor which support some languages like python, groovy, c, java, and so on.

I have a lot of packages I want to submit. This is my first packaging review and I need a sponsor.

Luca

Comment 1 manuel wolfshant 2008-06-05 22:28:09 UTC
For a start, your spec has two errors. The smaller one is the URL used as
%source. You should not use a specific sourceforge mirror, but the more general
http://downloads.sourceforge.net/. In your case, the correct URL would be
http://downloads.sourceforge.net/jedit/jedit4.3pre14source.tar.bz2.
See https://fedoraproject.org/wiki/Packaging/SourceURL#Referencing_Source for
details.

The major error is that you are trying to package the prebuilt binary (jar)
file, instead of building the program from source. This is not acceptable in Fedora.
You might wish to take a look at and/or adapt the work done by the jpackage guys
(
http://mirrors.dotsrc.org/jpackage/1.6/generic/free/SRPMS/jedit-4.2-3jpp.src.rpm  )

Comment 2 Luca Foppiano 2008-06-07 08:42:39 UTC
ok, thanks for your help :)

Comment 3 Mamoru TASAKA 2008-06-30 04:43:11 UTC
Would you update your srpm?

Comment 4 Luca Foppiano 2008-07-02 07:32:49 UTC
yes, I will do  ;-)

Comment 5 Luca Foppiano 2008-07-04 14:42:33 UTC
ok, I change opinion about it...too time to configure and build...It's a waste
of time...
I close this bug...


Note You need to log in before you can comment on or make changes to this bug.